## manila 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
eventlet>=0.22.0,!=0.23.0,!=0.25.0 # MIT
greenlet>=0.4.10 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=6.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=2.1.1 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.40.2 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.1.0 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.31.2 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:10.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/p/netapp-update-seto-preferred-dc-for-ontap.patch: Cherry-picked from
    upstream stable/ussuri to enable support for ONTAP 9.5 (LP: #1917323).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Mar 2021 15:21:47 -0500

manila (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728079/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 13:36:55 +0000

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.22.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.31.2),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 2.1.1),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psycopg2 (>= 2.8.4),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-reno (>= 2.5.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
Homepage: https://github.com/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.22.0),
 python3-greenlet (>= 0.4.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 2.1.1),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.40.2),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.8.4),
 python3-pymysql,
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/manila manila-(10\.\d.*)\.tar.gz

## manila 11.0.0~b1~git2020070209.e9dd26d2

=== debian/changelog ===
manila (1:11.0.0~b1~git2020070209.e9dd26d2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/p/skip-py38-failures.patch: Dropped. No longer needed.
  * d/p/add-mysql8-compatibility.patch: Dropped. Fixed upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:27:36 -0400

manila (1:10.0.0-0ubuntu2) groovy; urgency=medium

  * d/p/series: Add monkey-patch-original-current-thread.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 08:57:48 -0400

manila (1:10.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728079/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 13:36:55 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  Andreas Tille <andreas@an3as.eu>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-alembic (>= 0.8.10),
@@ -27,6 +27,7 @@
  python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.22.0),
  python3-fixtures (>= 3.0.0),
+ python3-glanceclient (>= 1:2.15.0),
  python3-greenlet (>= 0.4.10),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
@@ -38,7 +39,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.31.2),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -66,7 +67,6 @@
  python3-pyparsing (>= 2.1.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-reno (>= 2.5.0),
  python3-retrying (>= 1.2.3),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
@@ -81,9 +81,9 @@
 Build-Conflicts:
  bpython,
  ipython,
-Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
 Homepage: https://github.com/openstack/manila
 Testsuite: autopkgtest-pkg-python
 
@@ -206,6 +206,7 @@
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
  python3-eventlet (>= 0.22.0),
+ python3-glanceclient (>= 1:2.15.0),
  python3-greenlet (>= 0.4.10),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),

## manila 11.0.0~b2~git2020073107.fba472e3

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 alembic>=0.8.10 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
 eventlet>=0.22.0,!=0.23.0,!=0.25.0 # MIT
 greenlet>=0.4.10 # MIT
 lxml!=3.7.0,>=3.4.1 # BSD
@@ -42,4 +41,5 @@
 tooz>=1.58.0 # Apache-2.0
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
+python-glanceclient>=2.15.0 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
manila (1:11.0.0~b2~git2020073107.fba472e3-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 07:50:25 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.15.0),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -62,7 +62,7 @@
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pep8,
- python3-psycopg2 (>= 2.8.4),
+ python3-psycopg2 (>= 2.8.5),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
  python3-requests (>= 2.14.2),

## manila 11.0.0~b3~git2020091407.2f098160

=== debian/changelog ===
manila (1:11.0.0~b3~git2020091407.2f098160-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:16:42 +0000

=== debian/control ===
--- 
+++ 
@@ -28,12 +28,12 @@
  python3-eventlet (>= 0.22.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.15.0),
- python3-greenlet (>= 0.4.10),
+ python3-greenlet (>= 0.4.15),
  python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-lxml (>= 3.4.1),
+ python3-lxml (>= 4.5.0),
  python3-mock (>= 2.0.0),
  python3-mysqldb,
  python3-netaddr (>= 0.7.18),
@@ -45,7 +45,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 5.1.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 6.4.0),
@@ -58,12 +58,12 @@
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.40.2),
  python3-oslotest (>= 1:3.2.0),
- python3-paramiko (>= 2.0.0),
+ python3-paramiko (>= 2.7.1),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pep8,
  python3-psycopg2 (>= 2.8.5),
- python3-pymysql (>= 0.7.6),
+ python3-pymysql (>= 0.8.0),
  python3-pyparsing (>= 2.1.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
@@ -207,10 +207,10 @@
  python3-cinderclient (>= 1:3.3.0),
  python3-eventlet (>= 0.22.0),
  python3-glanceclient (>= 1:2.15.0),
- python3-greenlet (>= 0.4.10),
+ python3-greenlet (>= 0.4.15),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-lxml (>= 3.4.1),
+ python3-lxml (>= 4.5.0),
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
@@ -218,7 +218,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 5.1.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 6.4.0),
@@ -230,7 +230,7 @@
  python3-oslo.service (>= 2.1.1),
  python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.40.2),
- python3-paramiko (>= 2.0.0),
+ python3-paramiko (>= 2.7.1),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pbr (>= 2.0.0),

## manila 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 alembic>=0.8.10 # MIT
 eventlet>=0.22.0,!=0.23.0,!=0.25.0 # MIT
-greenlet>=0.4.10 # MIT
-lxml!=3.7.0,>=3.4.1 # BSD
+greenlet>=0.4.15 # MIT
+lxml>=4.5.0 # BSD
 netaddr>=0.7.18 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=5.1.1 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=6.4.0 # Apache-2.0
@@ -25,7 +25,7 @@
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.40.2 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-paramiko>=2.0.0 # LGPLv2.1+
+paramiko>=2.7.1 # LGPLv2.1+
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 pyparsing>=2.1.0 # MIT

=== debian/changelog ===
manila (1:11.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/watch: Scope to 11.x series.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:44:26 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.15.0),
  python3-greenlet (>= 0.4.15),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -71,7 +71,7 @@
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
@@ -82,8 +82,8 @@
  bpython,
  ipython,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
 Homepage: https://github.com/openstack/manila
 Testsuite: autopkgtest-pkg-python
 
@@ -234,7 +234,7 @@
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
  python3-pbr (>= 2.0.0),
- python3-psycopg2 (>= 2.8.4),
+ python3-psycopg2 (>= 2.8.5),
  python3-pymysql,
  python3-pyparsing (>= 2.1.0),
  python3-requests (>= 2.14.2),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=manila

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
	rm -rf debian/manila-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm
	pkgos-merge-templates manila-api manila endpoint
	pkgos-merge-templates manila-common manila db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-manila/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
		--format json \
		--namespace manila

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/manila manila-(11\.\d.*)\.tar.gz

## manila 11.0.0+git2021012911.be794fb1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=5.5.0 # Apache-2.0

alembic>=1.4.2 # MIT
eventlet>=0.26.1 # MIT
greenlet>=0.4.16 # MIT
lxml>=4.5.2 # BSD
netaddr>=0.8.0 # BSD
oslo.config>=8.3.2 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=12.5.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
pyparsing>=2.4.7 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.4.1 # MIT
six>=1.15.0 # MIT
SQLAlchemy>=1.3.1 # MIT
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
WebOb>=1.8.6 # MIT

=== debian/changelog ===
manila (1:11.0.0+git2021012911.be794fb1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py39-failures.patch: Skip py39 failures until fixed upstream.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-tests-for-ubuntu.patch: Fix tests that fail when run with
    Ubuntu snapshot version.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 11:55:02 -0500

=== debian/control ===
--- 
+++ 
@@ -13,71 +13,71 @@
  openstack-pkg-tools,
  po-debconf,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 5.5.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 1.4.2),
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
  python3-cinderclient (>= 1:3.3.0),
- python3-coverage (>= 4.0),
- python3-ddt (>= 1.0.1),
+ python3-coverage,
+ python3-ddt (>= 1.4.1),
  python3-doc8 (>= 0.6.0),
- python3-eventlet (>= 0.22.0),
+ python3-eventlet (>= 0.26.1),
  python3-fixtures (>= 3.0.0),
- python3-glanceclient (>= 1:2.15.0),
- python3-greenlet (>= 0.4.15),
+ python3-glanceclient (>= 1:3.2.2),
+ python3-greenlet (>= 0.4.16),
  python3-hacking,
- python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-lxml (>= 4.5.0),
+ python3-iso8601 (>= 0.1.12),
+ python3-keystoneauth1 (>= 4.2.1),
+ python3-keystonemiddleware (>= 9.1.0),
+ python3-lxml (>= 4.5.2),
  python3-mock (>= 2.0.0),
  python3-mysqldb,
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:9.1.0),
+ python3-novaclient (>= 2:17.2.1),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 5.1.1),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.4.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.rootwrap (>= 5.8.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 2.1.1),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.40.2),
- python3-oslotest (>= 1:3.2.0),
- python3-paramiko (>= 2.7.1),
- python3-paste (>= 2.0.2),
- python3-pastedeploy (>= 1.5.0),
+ python3-oslo.concurrency (>= 4.3.0),
+ python3-oslo.config (>= 1:8.3.2),
+ python3-oslo.context (>= 1:3.1.1),
+ python3-oslo.db (>= 8.4.0),
+ python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.log (>= 4.4.0),
+ python3-oslo.messaging (>= 12.5.0),
+ python3-oslo.middleware (>= 4.1.1),
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.reports (>= 2.2.0),
+ python3-oslo.rootwrap (>= 6.2.0),
+ python3-oslo.serialization (>= 4.0.1),
+ python3-oslo.service (>= 2.4.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 4.7.0),
+ python3-oslotest (>= 1:4.4.1),
+ python3-paramiko (>= 2.7.2),
+ python3-paste (>= 3.4.3),
+ python3-pastedeploy (>= 2.1.0),
  python3-pep8,
  python3-psycopg2 (>= 2.8.5),
  python3-pymysql (>= 0.8.0),
- python3-pyparsing (>= 2.1.0),
- python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.2.0),
+ python3-pyparsing (>= 2.4.7),
+ python3-requests (>= 2.23.0),
+ python3-requests-mock (>= 1.7.0),
  python3-retrying (>= 1.2.3),
- python3-routes (>= 2.3.1),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
- python3-stestr (>= 2.0.0),
- python3-stevedore (>= 1:1.20.0),
- python3-testresources (>= 2.0.0),
+ python3-routes (>= 2.4.1),
+ python3-six (>= 1.15.0),
+ python3-sqlalchemy (>= 1.3.1),
+ python3-stestr (>= 3.0.1),
+ python3-stevedore (>= 1:3.2.2),
+ python3-testresources (>= 2.0.1),
  python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-tooz (>= 1.58.0),
- python3-webob (>= 1:1.7.1),
+ python3-testtools (>= 2.4.0),
+ python3-tooz (>= 2.7.1),
+ python3-webob (>= 1:1.8.6),
 Build-Conflicts:
  bpython,
  ipython,
@@ -202,49 +202,49 @@
 Depends:
  alembic (>= 0.8.10),
  e2fsprogs,
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 1.4.2),
  python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
- python3-eventlet (>= 0.22.0),
- python3-glanceclient (>= 1:2.15.0),
- python3-greenlet (>= 0.4.15),
- python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-lxml (>= 4.5.0),
+ python3-eventlet (>= 0.26.1),
+ python3-glanceclient (>= 1:3.2.2),
+ python3-greenlet (>= 0.4.16),
+ python3-keystoneauth1 (>= 4.2.1),
+ python3-keystonemiddleware (>= 9.1.0),
+ python3-lxml (>= 4.5.2),
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
- python3-novaclient (>= 2:9.1.0),
+ python3-novaclient (>= 2:17.2.1),
  python3-openstackclient,
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 5.1.1),
- python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.4.0),
- python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.rootwrap (>= 5.8.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 2.1.1),
- python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.40.2),
- python3-paramiko (>= 2.7.1),
- python3-paste (>= 2.0.2),
- python3-pastedeploy (>= 1.5.0),
- python3-pbr (>= 2.0.0),
+ python3-oslo.concurrency (>= 4.3.0),
+ python3-oslo.config (>= 1:8.3.2),
+ python3-oslo.context (>= 1:3.1.1),
+ python3-oslo.db (>= 8.4.0),
+ python3-oslo.i18n (>= 5.0.1),
+ python3-oslo.log (>= 4.4.0),
+ python3-oslo.messaging (>= 12.5.0),
+ python3-oslo.middleware (>= 4.1.1),
+ python3-oslo.policy (>= 3.6.0),
+ python3-oslo.reports (>= 2.2.0),
+ python3-oslo.rootwrap (>= 6.2.0),
+ python3-oslo.serialization (>= 4.0.1),
+ python3-oslo.service (>= 2.4.0),
+ python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.utils (>= 4.7.0),
+ python3-paramiko (>= 2.7.2),
+ python3-paste (>= 3.4.3),
+ python3-pastedeploy (>= 2.1.0),
+ python3-pbr (>= 5.5.0),
  python3-psycopg2 (>= 2.8.5),
  python3-pymysql,
- python3-pyparsing (>= 2.1.0),
- python3-requests (>= 2.14.2),
+ python3-pyparsing (>= 2.4.7),
+ python3-requests (>= 2.23.0),
  python3-retrying (>= 1.2.3),
- python3-routes (>= 2.3.1),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
- python3-stevedore (>= 1:1.20.0),
- python3-tooz (>= 1.58.0),
- python3-webob (>= 1:1.7.1),
+ python3-routes (>= 2.4.1),
+ python3-six (>= 1.15.0),
+ python3-sqlalchemy (>= 1.3.1),
+ python3-stevedore (>= 1:3.2.2),
+ python3-tooz (>= 2.7.1),
+ python3-webob (>= 1:1.8.6),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack shared file system as a service - Python 3 libs

## manila 11.0.1

=== debian/changelog ===
manila (1:11.0.1-1~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Tune manila-api-uwsgi.ini for performance.
  * New upstream point release.
  * Add Enable_healthcheck_middleware.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-victoria.infomaniak.ch>  Fri, 11 Jun 2021 09:00:12 +0000

manila (1:11.0.0-2) unstable; urgency=medium

  * Fix cannot stat '/usr/share/manila-common/policy.json'

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 26 Oct 2020 12:10:05 +0100

manila (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python-3.9-use-encodebytes-not-encodestring.patch.
  * Blacklist failing infinidat tests (I don't care about this proprietary
    driver anyways).
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 17:04:27 +0200

manila (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using a yaml policy file in /etc/manila/policy.d.
  * Switch manila-api to use uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 17:03:45 +0200

manila (1:10.0.0-2) unstable; urgency=medium

  * d/patches: install-missing-files.patch
    - Recursive include all files, missing drivers/ganesha/conf

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 03 Jun 2020 13:47:46 +0200

manila (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:46:22 +0200

manila (1:10.0.0~rc2-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 14:03:17 +0200

manila (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - CVE-2020-9543_share_networks_enable_project_only_API_only.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 16:20:46 +0200

manila (1:9.0.0-5) unstable; urgency=medium

  * CVE-2020-9543: Manila allows other project users to view, update, delete,
    or share resources that do not belong to them. Applied upstream patch:
    share_networks: enable project_only API only (Closes: #953581).
  * Blacklist a series of tests which fails with the newer SQLAlchemy.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Mar 2020 09:26:00 +0100

manila (1:9.0.0-3) unstable; urgency=medium

  * Blacklist test_hacking.HackingTestCase.test_logging_with_tuple_argument.*
    which is failing. (Closes: #951956).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:27:01 +0100

## manila 12.0.0~rc1

=== debian/changelog ===
manila (1:12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 08:58:55 +0000

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
  python3-oslo.log (>= 4.4.0),
  python3-oslo.messaging (>= 12.5.0),
  python3-oslo.middleware (>= 4.1.1),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 2.2.0),
  python3-oslo.rootwrap (>= 6.2.0),
  python3-oslo.serialization (>= 4.0.1),
@@ -58,6 +58,7 @@
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.7.0),
  python3-oslotest (>= 1:4.4.1),
+ python3-osprofiler (>= 3.4.0),
  python3-paramiko (>= 2.7.2),
  python3-paste (>= 3.4.3),
  python3-pastedeploy (>= 2.1.0),
@@ -211,7 +212,7 @@
  python3-keystoneauth1 (>= 4.2.1),
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.8.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackclient,
@@ -223,13 +224,14 @@
  python3-oslo.log (>= 4.4.0),
  python3-oslo.messaging (>= 12.5.0),
  python3-oslo.middleware (>= 4.1.1),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 2.2.0),
  python3-oslo.rootwrap (>= 6.2.0),
  python3-oslo.serialization (>= 4.0.1),
  python3-oslo.service (>= 2.4.0),
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.7.0),
+ python3-osprofiler (>= 3.4.0),
  python3-paramiko (>= 2.7.2),
  python3-paste (>= 3.4.3),
  python3-pastedeploy (>= 2.1.0),

## manila 12.0.0

=== debian/changelog ===
manila (1:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:10 +0000

manila (1:12.0.0~rc1-0ubuntu2) hirsute; urgency=medium

  * d/control: Fix Depends mismatch

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Apr 2021 07:51:35 +0000

=== debian/control ===
--- 
+++ 
@@ -212,7 +212,7 @@
  python3-keystoneauth1 (>= 4.2.1),
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
- python3-netaddr (>= 0.8.0),
+ python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackclient,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=manila
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' 's/+git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/manila/ manila-(12\.\d.*)\.tar.gz

## manila 12.0.0+git2021061112.9974f047

=== debian/changelog ===
manila (1:12.0.0+git2021061112.9974f047-0ubuntu2) impish; urgency=medium

  * d/p/fix-py396-test-races.patch: Add basic fix to ensure that
    comparisons are stable.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Jul 2021 08:03:39 +0000

manila (1:12.0.0+git2021061112.9974f047-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:40 +0000

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  python3-lxml (>= 4.5.2),
  python3-mock (>= 2.0.0),
  python3-mysqldb,
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.7.19),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackdocstheme (>= 2.2.1),
@@ -64,7 +64,7 @@
  python3-pastedeploy (>= 2.1.0),
  python3-pep8,
  python3-psycopg2 (>= 2.8.5),
- python3-pymysql (>= 0.8.0),
+ python3-pymysql (>= 0.9.3),
  python3-pyparsing (>= 2.4.7),
  python3-requests (>= 2.23.0),
  python3-requests-mock (>= 1.7.0),
@@ -212,7 +212,7 @@
  python3-keystoneauth1 (>= 4.2.1),
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.7.19),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackclient,

## manila 12.0.0+git2021070209.b8be5f7f

=== debian/changelog ===
manila (1:12.0.0+git2021070209.b8be5f7f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/skip-py39-failures.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Jul 2021 09:03:25 -0400

## manila 12.0.0+git2021072117.1a395050

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.log>=4.4.0 # Apache-2.0
 oslo.messaging>=12.5.0 # Apache-2.0
 oslo.middleware>=4.1.1 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=3.7.0 # Apache-2.0
 oslo.reports>=2.2.0 # Apache-2.0
 oslo.rootwrap>=6.2.0 # Apache-2.0
 oslo.serialization>=4.0.1 # Apache-2.0
@@ -25,6 +25,7 @@
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 oslo.concurrency>=4.3.0 # Apache-2.0
+osprofiler>=3.4.0 # Apache-2.0
 paramiko>=2.7.2 # LGPLv2.1+
 Paste>=3.4.3 # MIT
 PasteDeploy>=2.1.0 # MIT

=== debian/changelog ===
manila (1:12.0.0+git2021072117.1a395050-0ubuntu1) impish; urgency=medium

  * d/p/fix-py396-test-races.patch: Add sorting to another test with the
    same behavior.
  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:04:18 -0400

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
  python3-lxml (>= 4.5.2),
  python3-mock (>= 2.0.0),
  python3-mysqldb,
- python3-netaddr (>= 0.7.19),
+ python3-netaddr (>= 0.8.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackdocstheme (>= 2.2.1),
@@ -64,7 +64,7 @@
  python3-pastedeploy (>= 2.1.0),
  python3-pep8,
  python3-psycopg2 (>= 2.8.5),
- python3-pymysql (>= 0.9.3),
+ python3-pymysql (>= 0.10.0),
  python3-pyparsing (>= 2.4.7),
  python3-requests (>= 2.23.0),
  python3-requests-mock (>= 1.7.0),
@@ -212,7 +212,7 @@
  python3-keystoneauth1 (>= 4.2.1),
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
- python3-netaddr (>= 0.7.19),
+ python3-netaddr (>= 0.8.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:17.2.1),
  python3-openstackclient,

## manila 12.0.0+git2021090814.c419a7bad

=== requirements.txt ===
--- 
+++ 
@@ -34,10 +34,10 @@
 keystoneauth1>=4.2.1 # Apache-2.0
 keystonemiddleware>=9.1.0 # Apache-2.0
 requests>=2.23.0 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0
+tenacity>=6.3.1  # Apache-2.0
 Routes>=2.4.1 # MIT
 six>=1.15.0 # MIT
-SQLAlchemy>=1.3.1 # MIT
+SQLAlchemy>=1.3.17 # MIT
 stevedore>=3.2.2 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0

=== debian/changelog ===
manila (1:12.0.0+git2021090814.c419a7bad-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:56 +0000
